






















libxml2.so.2 is required to run this package. The following patch adds the dependency and applies @hacktor 's fix.
diff --git a/0-hacktor-fix.patch b/0-hacktor-fix.patch
new file mode 100644
index 0000000..9e90d63
--- /dev/null
+++ b/0-hacktor-fix.patch
@@ -0,0 +1,16 @@
+--- a/MotionPro.sh 2025-10-08 08:28:18.642261885 +0800
++++ b/MotionPro.sh 2025-10-08 08:27:45.400969562 +0800
+@@ -6,10 +6,12 @@
+ LD_LIBRARY_PATH=$dirname
+ export LD_LIBRARY_PATH
+
+-var=`runlevel | awk '{print $2}'`
++#var=`runlevel | awk '{print $2}'`
+
+ if [ $# -eq 0 ]; then
+ $dirname/$appname $*
+ else
+ $dirname/$cmdname $*
+ fi
++
++pkill -f MotionPro -9
diff --git a/PKGBUILD b/PKGBUILD
index 90b9ab1..f6ce270 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,8 +9,11 @@ pkgdesc="Array Networks VPN Client for Linux (gui)"
arch=('x86_64')
url="https://support.arraynetworks.net/prx/001/http/supportportal.arraynetworks.net/downloads/downloads.html"
license=('unknown')
-depends=('freetype2' 'qt5-base')
-source=("https://support.arraynetworks.net/prx/001/http/supportportal.arraynetworks.net/downloads/pkg_9_4_0_505/MP_Linux_1.2.18/MotionPro_Linux_Ubuntu_x64_build-8383-34.sh")
+depends=('freetype2' 'qt5-base' 'libxml2-2.9')
+source=(
+ "https://support.arraynetworks.net/prx/001/http/supportportal.arraynetworks.net/downloads/pkg_9_4_0_505/MP_Linux_1.2.18/MotionPro_Linux_Ubuntu_x64_build-8383-34.sh"
+ "0-hacktor-fix.patch"
+)
prepare() {
chmod +x "MotionPro_Linux_Ubuntu_x64_build-8383-34.sh"
"./MotionPro_Linux_Ubuntu_x64_build-8383-34.sh" --keep --noexec
@@ -26,6 +29,7 @@ prepare() {
sed -i "s#desktop_target=#desktop_target=${pkgdir}#" ./install.sh
sed -i '/^desktop_target=/amkdir -p $desktop_target' ./install.sh
sed -i '2aset -x' ./install.sh
+ patch -p1 -i ${srcdir}/0-hacktor-fix.patch || return 1
}
package() {
@@ -33,4 +37,4 @@ package() {
./install.sh
rm "$pkgdir/opt/MotionPro/"libQt5*
}
-sha256sums=('5e9f123829a9bacef290768282c6e071ee811659440ab67cf2192f6394e36869')
+sha256sums=('5e9f123829a9bacef290768282c6e071ee811659440ab67cf2192f6394e36869' SKIP)
I've downloaded the package, but it's not functioning properly. The use of runlevel in line 9 of MotionPro.sh isn't supported in ArchLinux, and the variable var is never utilized. Thus, I've commented them out.
Another issue is that MotionPro doesn't terminate correctly when you close it, preventing relaunch. My solution is simply adding sudo pkill -f MotionPro -9 to the end of 'MotionPro.sh'.
Sorry for the late update after finding the comment notification in my junk email. I have updated the packet using the patch provided by @beekaysee, and thank you for your patch.
In case someone else can no longer connect because it's out-of-date, here's a patch to update it. The patch also removes the libQt5-files since they don't support wayland.
diff --git a/PKGBUILD b/PKGBUILD
index 2228ddb..7de861a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,21 +2,21 @@
# Contributor: Jingrong Chen <crazyboycjr at gmail dot com>
pkgname=motionpro-gui
_pkgname=${pkgname//-/_}
-pkgver=9.4.0.446
+pkgver=9.4.0.505
pkgrel=2
pkgdesc="Array Networks VPN Client for Linux (gui)"
arch=('x86_64')
url="https://support.arraynetworks.net/prx/001/http/supportportal.arraynetworks.net/downloads/downloads.html"
license=('unknown')
depends=('freetype2' 'qt5-base')
-source=("https://support.arraynetworks.net/prx/000/http/supportportal.arraynetworks.net/downloads/pkg_9_4_0_446/MP_Linux_1.2.14/MotionPro_Linux_Ubuntu_x64.sh")
+source=("https://support.arraynetworks.net/prx/001/http/supportportal.arraynetworks.net/downloads/pkg_9_4_0_505/MP_Linux_1.2.18/MotionPro_Linux_Ubuntu_x64_build-8383-34.sh")
prepare() {
- chmod +x "MotionPro_Linux_Ubuntu_x64.sh"
- "./MotionPro_Linux_Ubuntu_x64.sh" --keep --noexec
+ chmod +x "MotionPro_Linux_Ubuntu_x64_build-8383-34.sh"
+ "./MotionPro_Linux_Ubuntu_x64_build-8383-34.sh" --keep --noexec
cd MotionPro_Linux
- sed -i '32,36d' ./install.sh # remove root check
- sed -i '19,23d;33,41d;50,55d;152,153d' ./install.sh # remove auto start script
+ sed -i '35,39d' ./install.sh # remove root check
+ sed -i '21,25d;36,44d;47,48d;55,66d;126,129d' ./install.sh # remove auto start script
sed -i "s#prefix=#prefix=${pkgdir}#" ./install.sh
sed -i '/^prefix=/amkdir -p $prefix' ./install.sh
sed -i "s#target_dir=#target_dir=${pkgdir}#" ./install.sh
@@ -25,10 +25,12 @@ prepare() {
sed -i '/^hardware=/amkdir -p $hardware' ./install.sh
sed -i "s#desktop_target=#desktop_target=${pkgdir}#" ./install.sh
sed -i '/^desktop_target=/amkdir -p $desktop_target' ./install.sh
+ sed -i '2aset -x' ./install.sh
}
package() {
cd MotionPro_Linux
./install.sh
+ rm "$pkgdir/opt/MotionPro/"libQt5*
}
-md5sums=('c715144c9889001c5ddd83d17efd8b17')
+sha256sums=('5e9f123829a9bacef290768282c6e071ee811659440ab67cf2192f6394e36869')
此内容由惯性聚合(RSS阅读器)自动聚合整理,仅供阅读参考。 原文来自 — 版权归原作者所有。
Hi everyone, I've graduated and no longer have the VPN environment needed to test this package. So I discard it and anyone is welcome to adopt it for future updates. Thanks for your support!